Problems with Python... Please help Me!

Whenever I open up blender, it says:
'Using Python version 2.3
‘import site’ failed; use -v for traceback

What does this mean? How can I fix it? Is it the reason Blender has been stupid for me? Will this solve world hunger?

-Thx in advance
StrikerMuncher
(no longer a noob)

Read second link in my sig.

%<

I read that. I have python installed, but i still get that import site failure. couldn’t find anything about that in your tutorial.

If you’re on Windows you need to SET PYTHONPATH=C:\PYTHON23;C:\PYTHON23\DLLS;C:\PYTHON23\LIB;C:\PYTHON23\LIB\LIB-TK
Make sure you haven’t installed Python 2.4 = there is a work around but in general, it doesn’t work.